WordPress 5.2让你更容易去修复网站问题

09/05/201912:53:07 发表评论 829个阅读者

WordPress发布了 5.2 版本,如果你的站点出现问题了,这个版本的更新让你更容易去修复,从而让你的站点更加安全。这个版本内置的一些强大的工具可以帮你识别和修复配置的问题和致命错误。

站点健康检查(Site Health Check)

5.1 版本,WordPress 引进了站点健康功能,这个版本给该功能添加了两个页面:用于 debug 一些常见的配置问题和给站点管理员查看 debug 信息。

PHP Error Protection

这个更新让站点管理员直接就能够更加安全的处理和管理 PHP 致命错误,而无需找开发人员,它能够更好得处理我们平时说的“白屏”问题,它会暂停发生错误的插件或者主题,并进入恢复模式。

其他改进

辅助功能更新
针对使用屏幕阅读器和其他辅助技术的人,这个版本改进了上下文感知和键盘导航流程。

新的图标

新增了十三个新图标,包括 Instagram,BuddyPress等。

WordPress插件兼容性检查

WordPress 现在将自动检查网站的PHP版本是否与已安装的插件兼容,如果插件需要比您的网站当前使用的更高版本的PHP,WordPress将不允许您激活它,以防止潜在的兼容性错误。

开发者关注功能

PHP 版本

WordPress 现在要求的最低 PHP 版本为 5.6.20,所以从 WordPress 5.2 开始,主题和插件可以安全地使用命名空间,匿名函数等 PHP 新特性!

隐私更新
为了使得更加容易自定义隐私页面,新版添加了新的主题页面模板,新的条件函数和两个 CSS 类,

新的Body Hook
5.2 引入了一个 wp_body_open 钩子,它允许在开发主题的时候在 Body 元素的开头注入代码。

现代 JavaScript
通过在 wordpress/scripts 中添加 webpack 和 Babel 配置,开发人员不用设置复杂的编译工具来编写现代 JavaScript。

avatar

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: